commit:     1ee05f3df2404423b1309fa703d2e803e794ce4e
Author:     Karlson2k (Evgeny Grin) <k2k <AT> narod <DOT> ru>
AuthorDate: Wed Aug  5 20:09:22 2020 +0000
Commit:     Ian Whyman <thev00d00 <AT> gentoo <DOT> org>
CommitDate: Mon Aug 24 17:59:37 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1ee05f3d

dev-libs/libcec: bump to 4.0.7, fixes.

- Fixed man page and ChangeLog
- Fixed dependencies
- Added Linux Kernel CEC Framework support
- Binary test and demo tools are optional now udev is optional now (libcec uses 
SYSFS detection method)
- Added installation of udev USB-CEC rule
- Fixed byte-compiling Python module

Signed-off-by: Karlson2k (Evgeny Grin) <k2k <AT> narod.ru>
Closes: https://github.com/gentoo/gentoo/pull/17022
Signed-off-by: Ian Whyman <thev00d00 <AT> gentoo.org>

 dev-libs/libcec/Manifest                           |   1 +
 .../files/libcec-4.0.7-no-override-udev.patch      |  24 ++++
 dev-libs/libcec/libcec-4.0.7.ebuild                | 122 +++++++++++++++++++++
 dev-libs/libcec/metadata.xml                       |   3 +
 4 files changed, 150 insertions(+)

diff --git a/dev-libs/libcec/Manifest b/dev-libs/libcec/Manifest
index afc82f2aa41..bd1494466a1 100644
--- a/dev-libs/libcec/Manifest
+++ b/dev-libs/libcec/Manifest
@@ -1,2 +1,3 @@
 DIST libcec-4.0.2.tar.gz 334995 BLAKE2B 
bdbebeb339ce39f2f740805c4c627cc5190cc0dd57d0d87e3d3aa4ba8feeba103336d035fb8b282358f2e08fa470111be43df4df48870be0e9aa93f35434d0ef
 SHA512 
7bb80965cd1bef713f59bff136dc4a7f1172c4a9bdb8e2f59c6bcc5b74110848c0b2912263280ea68177908a688127e8d7208fc43ce6e65d589343b85395a0bb
 DIST libcec-4.0.4.tar.gz 344976 BLAKE2B 
ce88730ee6e9f57a3f874dd47343e8bb12bd9d3644b58703f0b797bfe656fa25461e6847db4023fec92d9e9740f0e58b59a203258d39d8883b8ae9cde147f455
 SHA512 
8991ba96fe9a87e5e1f63ff87f77fc0fc3b735c537e2ee6cb004fdc264d75cecd043e39b49cf9e64aeadd24bb1fb57911d9c4bd6c494d9ba4035d7320c268116
+DIST libcec-4.0.7.tar.gz 355249 BLAKE2B 
5f742364804d0d10cfcd71635645d33c3dfde200e79332470d2b5b2e64966834a0604d4684ad5919a00aaf60f05f4dbbbc9ce13a0dcf0ba4fa11d1f6a0391673
 SHA512 
424540a45f9cae3d5dcccc615d487c45033f9cdeb665b8176832495597e2cd58ef7681e13b52f6a32f8a40e1146c04a1a383f5785ea1e731c5c517a9a7843a81

diff --git a/dev-libs/libcec/files/libcec-4.0.7-no-override-udev.patch 
b/dev-libs/libcec/files/libcec-4.0.7-no-override-udev.patch
new file mode 100644
index 00000000000..d5b7f8664a3
--- /dev/null
+++ b/dev-libs/libcec/files/libcec-4.0.7-no-override-udev.patch
@@ -0,0 +1,24 @@
+ src/libcec/cmake/CheckPlatformSupport.cmake | 2 ++
+ 1 file changed, 2 insertions(+)
+
+diff --git a/src/libcec/cmake/CheckPlatformSupport.cmake 
b/src/libcec/cmake/CheckPlatformSupport.cmake
+index 5d423df..9e77924 100644
+--- a/src/libcec/cmake/CheckPlatformSupport.cmake
++++ b/src/libcec/cmake/CheckPlatformSupport.cmake
+@@ -90,6 +90,7 @@ else()
+   check_function_exists(flock HAVE_FLOCK)
+ 
+   # udev
++  if (${HAVE_LIBUDEV})
+   pkg_check_modules(UDEV udev)
+   if (UDEV_FOUND)
+     set(PLATFORM_LIBREQUIRES "${PLATFORM_LIBREQUIRES} ${UDEV_LIBRARIES}")
+@@ -106,6 +107,7 @@ else()
+     list(APPEND CMAKE_REQUIRED_LIBRARIES "${UDEV_LIBRARIES}")
+     set(HAVE_P8_USB_DETECT ON CACHE BOOL "p8 usb-cec detection supported" 
FORCE)
+   endif()
++  endif()
+ 
+   # xrandr
+   check_include_files("X11/Xlib.h;X11/Xatom.h;X11/extensions/Xrandr.h" 
HAVE_RANDR_HEADERS)
+

diff --git a/dev-libs/libcec/libcec-4.0.7.ebuild 
b/dev-libs/libcec/libcec-4.0.7.ebuild
new file mode 100644
index 00000000000..67a73ca791e
--- /dev/null
+++ b/dev-libs/libcec/libcec-4.0.7.ebuild
@@ -0,0 +1,122 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{3_6,3_7,3_8} )
+MY_PV=${PV/_p/-}
+MY_P=${PN}-${MY_PV}
+
+inherit cmake-utils linux-info python-single-r1 toolchain-funcs
+
+DESCRIPTION="Library for communicating with the Pulse-Eight USB HDMI-CEC 
Adaptor"
+HOMEPAGE="http://libcec.pulse-eight.com";
+SRC_URI="https://github.com/Pulse-Eight/${PN}/archive/${MY_P}.tar.gz";
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="cubox exynos python raspberry-pi kernel-cec tools +xrandr udev"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="udev? ( virtual/udev )
+       >=dev-libs/libplatform-2.0.0
+       tools? ( sys-libs/ncurses:= )
+       raspberry-pi? ( >=media-libs/raspberrypi-userland-0_pre20160305-r1 )
+       xrandr? ( x11-libs/libXrandr )
+       python? ( ${PYTHON_DEPS} )"
+DEPEND="${RDEPEND}
+       python? ( dev-lang/swig )"
+
+BDEPEND="virtual/pkgconfig"
+
+CONFIG_CHECK="~USB_ACM"
+
+S="${WORKDIR}/${PN}-${MY_P}"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-4.0.7-no-override-udev.patch"
+       )
+
+pkg_pretend() {
+       use udev || CONFIG_CHECK+=" ~SYSFS"
+       ERROR_SYSFS="When using libcec build without udev, kernel config option 
CONFIG_SYSFS is required to automatically detect P8 USB-CEC adapter port number"
+
+       linux-info_pkg_setup
+}
+
+pkg_setup() {
+       linux-info_pkg_setup
+       use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+       cmake-utils_src_prepare
+
+       # Do not hardcode the python libpath #577612
+       sed -i \
+               -e 
'/DESTINATION/s:"lib/python${PYTHON_VERSION}/${PYTHON_PKG_DIR}":${PYTHON_SITEDIR}:'
 \
+               src/libcec/cmake/CheckPlatformSupport.cmake || die
+
+       sed -Ee 's|[ ~]?#DIST#;?||g' debian/changelog.in > ChangeLog || die
+
+       (use tools && use python) || cmake_comment_add_subdirectory 
"src/pyCecClient"
+
+       if ! use tools; then
+               cmake_comment_add_subdirectory "src/cec-client"
+               cmake_comment_add_subdirectory "src/cecc-client"
+               sed -i -Ee 's|add_dependencies\(cecc?-client cec\)|#DO NOT 
BUILD \0|' \
+                       CMakeLists.txt || die
+       fi
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DHAVE_LINUX_API=$(usex kernel-cec ON OFF)
+               -DHAVE_LIBUDEV=$(usex udev ON OFF)
+               -DSKIP_PYTHON_WRAPPER=$(usex python OFF ON)
+               -DHAVE_EXYNOS_API=$(usex exynos ON OFF)
+               -DHAVE_TDA995X_API=$(usex cubox ON OFF)
+               -DHAVE_RPI_API=$(usex raspberry-pi ON OFF)
+       )
+
+       if linux_config_exists && linux_chkconfig_present SYSFS; then
+               mycmakeargs+=( -DHAVE_P8_USB_DETECT=ON )
+       fi
+
+       # raspberrypi-userland itself does not provide .pc file so using
+       # bcm_host.pc instead
+       use raspberry-pi && mycmakeargs+=(
+               -DRPI_INCLUDE_DIR=$( $(tc-getPKG_CONFIG) --variable=includedir 
bcm_host) \
+               -DRPI_LIB_DIR=$( $(tc-getPKG_CONFIG) --variable=libdir bcm_host)
+       )
+
+       cmake-utils_src_configure
+}
+
+src_compile() {
+       cmake-utils_src_compile
+
+       use udev && \
+               cp "${S}/debian/pulse-eight-usb-cec.udev" \
+                       "${BUILD_DIR}/65-pulse-eight-usb-cec.udev" || die
+}
+
+src_install() {
+       cmake-utils_src_install
+
+       use python && python_optimize "${D}$(python_get_sitedir)"
+
+       use tools && doman debian/cec-client.1
+
+       if use udev; then
+               insinto /lib/udev/rules.d
+               doins "${BUILD_DIR}/65-pulse-eight-usb-cec.udev"
+       fi
+}
+
+pkg_postinst() {
+       elog "You will need to ensure the user running your CEC client has"
+       elog "read/write access to the device. You can ensure this by adding"
+       elog "them to the uucp group"
+}

diff --git a/dev-libs/libcec/metadata.xml b/dev-libs/libcec/metadata.xml
index 29b2c8ce0c4..078ed9ec4a2 100644
--- a/dev-libs/libcec/metadata.xml
+++ b/dev-libs/libcec/metadata.xml
@@ -10,6 +10,9 @@
     <flag name="exynos">Enable support for Exynos chipsets</flag>
     <flag name="raspberry-pi">Enable support for the Raspberry Pi</flag>
     <flag name="xrandr">Enable detection of active HDMI using xrandr 
extensions</flag>
+    <flag name="kernel-cec">Enable support for Linux kernel CEC 
framework</flag>
+    <flag name="tools">Enable build of cec-client and other test and demo 
executable tools</flag>
+    <flag name="udev">Enable detection of USB-CEC port by udev</flag>
   </use>
   <upstream>
     <remote-id type="github">Pulse-Eight/libcec</remote-id>

Reply via email to